# LineConnect

LineConnect
The LineConnect attribute is a bitmask and determines which lines can be connected to an object and what the object conducts.

Bit
Value
Name
Description
0
1
C4D_PowerInput
The end of an energy line can be connected.
1
2
C4D_PowerOutput
The start of an energy line can be connected.
2
4
C4D_LiquidInput
The end of a pipe can be connected.
3
8
C4D_LiquidOutput
The beginning of a pipe can be connected.
4
16
C4D_PowerGenerator
The object is a power generator.
5
32
C4D_PowerConsumer
The object is an energy consumer.
6
64
C4D_LiquidPump
The object is a pump.
7
128
Reserved, unused.
8
256
C4D_EnergyHolder
The object does not loose energy by itself, even if it is not alive or a base.

Sven2
2002-04
Newton
2005-01
Günther
2006-07